use warnings;
use strict;
use Carp;

BEGIN { require 't/.lib.t' }
plan tests => 9;

my ($key, @id, $email);

init_gpg_homedir();

throws_ok { gpg_delete()                    } qr/Usage/;
throws_ok { gpg_delete(q{}, q{})            } qr/Usage/;
throws_ok { gpg_delete(undef)               } qr/undefined/;
throws_ok { gpg_delete(q{})                 } qr/malformed user id|Invalid user ID/;

throws_ok { gpg_delete($KEY_ID[0])          } qr/key .* not found/;

gpg_import($SEC_KEY{ $KEY_ID[0] }, 1);
gpg_import($PUB_KEY{ $KEY_ID[1] });

throws_ok { gpg_delete($KEY_ID[0])          } qr/there is a secret key/;
lives_ok  { gpg_delete($KEY_ID[1])          } 'public key deleted';
throws_ok { gpg_delete($KEY_ID[1])          } qr/key .* not found/;

gpg_import($PUB_KEY{ $KEY_ID[1] });
lives_ok  { gpg_delete($KEY_INFO{$KEY_ID[1]}[0]{email}) }
                                              'public key deleted by email';

